// Copyright (c) 2005 Sony Ericsson Mobile Communications AB
//
// This software is provided "AS IS," without a warranty of any kind. 
// ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, 
// INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A 
// PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. 
//
// THIS SOFTWARE IS COMPLEMENTARY OF JAYWAY AB (www.jayway.se)

package bluegammon.gui;

/**
 * An extended behaviour for a <code>MenuPage</code>. Enables
 * callback methods when entering and leaving a page.
 * 
 * @see bluegammon.gui.menu.MenuPage
 * @author Peter Andersson
 */
public interface FocusablePage
{
  /**
   * Called when page is entered.
   */
  public void onEnter();
  /**
   * Called when page is left.
   */
  public void onLeave();
}
