// Copyright (c) 2005 Sony Ericsson Mobile Communications AB
//
// This software is provided "AS IS," without a warranty of any kind. 
// ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, 
// INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A 
// PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. 
//
// THIS SOFTWARE IS COMPLEMENTARY OF JAYWAY AB (www.jayway.se)

package bluegammon.gui.animation;

/**
 * Interface for a repaint requestable graphics container,
 * normally a Canvas. Used by animations and the animation engine
 * to update the screen.
 * @author Peter Andersson
 */
public interface RepaintRequestable
{
  /**
   * Returns true if the graphics context is visible.
   * @return	true if visible, false otherwise
   */
  public boolean isShown();
  /**
   * Repaints whole graphics context.
   */
  public void repaint();
  /**
   * Requests a repaint of whole graphics context.
   */
  public void requestRepaint();
  /**
   * Commits all repaint requests to the graphics context.
   */
  public void commitRepaint();
}
