// Copyright (c) 2005 Sony Ericsson Mobile Communications AB
//
// This software is provided "AS IS," without a warranty of any kind. 
// ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, 
// INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A 
// PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. 
//
// THIS SOFTWARE IS COMPLEMENTARY OF JAYWAY AB (www.jayway.se)

package bluegammon.gui.menu;

/**
 * Command pattern interface that is called from <code>Menu</code> when user
 * activates an <code>PageItem</code>. 
 * @see PageItem
 * @author Peter Andersson
 */
public interface ItemAction
{
  /**
   * Called when user selects an item in a page.
   * 
   * @param page	The page this action is called from.
   * @param item	The item this action is called from.
   */
  public void itemAction(MenuPage page, PageItem item);
}
